---
title: 'useRepo()'
description: 'The useRepo composable provides methods for querying and fetching your store data by model or repository'
---

## Usage

````ts
import { useRepo } from 'pinia-orm'
import User from './models/User'
import PostRepository from './repositories/Post'

const userRepo = useRepo(User) // Repository<User>
const postRepo = useRepo(PostRepo) // PostRepository
````

## Type Declaration

````ts
export function useRepo<M extends Model>(
  model: Constructor<M>,
): Repository<M>

export function useRepo<R extends Repository>(
  repository: Constructor<R>,
): R
````
